%define	version	2.3
%define	name	anacron
%define	release	%mkrel 30

Name:		%{name}
Summary:	A cron-like program that doesn't go by time
Version:	%{version}
Release:	%{release}
License:	GPLv2+
URL:		http://sourceforge.net/projects/anacron/
Group:		System/Servers
Source0:	http://download.sourceforge.net/anacron/%{name}-%{version}.tar.bz2
Source1:	anacrontab
Source2:	anacron.init
Source3:	anacron.pm-utils
Source4:	anacron.daily
Requires(post): rpm-helper
Requires(preun):rpm-helper
Conflicts:	pm-utils < 1.2.0-1mdv2009.0
Provides:	cron-daemon
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch0:		%{name}-remove_sendmail_complain.patch
# (fc) 2.3-27mdv various fixes from Debian
Patch1:		anacron-2.3-debianfixes13.1.patch
# (fc) 2.3-27mdv fix content type for sent mail (Fedora bug #77108) (Fedora)
Patch2:		anacron-2.3-mail-content-type-77108.patch
# (fc) 2.3-27mdv fix the way mail is given to sendmail (Fedora bug #185973) (Fedora)
Patch3:		anacron-2.3-fdclose.patch
# (fc) 2.3-27mdv fix memleaks (Fedora)
Patch4:		anacron-2.3-memleaking.patch
# (fc) 2.3-27mdv fix spooldir in log file (Fedora)
Patch5:		anacron-2.3-spooldir.patch

%description
Anacron (like `anac(h)ronistic') is a periodic command scheduler.  It
executes commands at intervals specified in days.  Unlike cron, it
does not assume that the system is running continuously.  It can
therefore be used to control the execution of daily, weekly and
monthly jobs (or anything with a period of n days), on systems that
don't run 24 hours a day.  When installed and configured properly,
Anacron will make sure that the commands are run at the specified
intervals as closely as machine-uptime permits.

This package is pre-configured to execute the daily jobs of this
system.  It's part of triple - vixie-cron, anacron and crontabs, 
which care about execution of jobs also with often
reboots or hibernation.

%prep
%setup -q

%patch1 -p1 -b .debianfixes
%patch0 -p1 -b .sendmail
%patch2 -p0 -b .mail-content-type
%patch3 -p1 -b .fdclose
%patch4 -p1 -b .memleak

%build
%serverbuild
%make CFLAGS="%{optflags} -pie" LDFLAGS="%{ldflags} -fpie"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/var/spool/anacron/

cp anacron $RPM_BUILD_ROOT%{_sbindir}
cp anacron.8 $RPM_BUILD_ROOT%{_mandir}/man8/
cp anacrontab.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/anacrontab

mkdir -p $RPM_BUILD_ROOT/etc/cron.{daily,weekly,monthly}

install -m755 %{SOURCE4} $RPM_BUILD_ROOT/etc/cron.daily/0anacron
ln -s ../cron.daily/0anacron $RPM_BUILD_ROOT/etc/cron.weekly/0anacron
ln -s ../cron.daily/0anacron $RPM_BUILD_ROOT/etc/cron.monthly/0anacron

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}

install -D -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_libdir}/pm-utils/sleep.d/07%{name}

%clean 
rm -rf $RPM_BUILD_ROOT

%post
%_post_service anacron

%preun
%_preun_service anacron

%postun
if [ "$1" -ge "1" ]; then
    service anacron condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root,0755)
%doc COPYING ChangeLog README TODO 
%config(noreplace) %{_sysconfdir}/anacrontab
%dir /var/spool/anacron/
%attr(755,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/anacron
%{_libdir}/pm-utils/sleep.d/??%{name}
%config(noreplace) %{_sysconfdir}/cron.daily/0anacron
%config(noreplace) %{_sysconfdir}/cron.monthly/0anacron
%config(noreplace) %{_sysconfdir}/cron.weekly/0anacron


%changelog
* Mon Dec 29 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3-30mdv2009.1
+ Revision: 321080
- rediffed some fuzzy patches
- use system %%ldflags

* Sat Sep 13 2008 Andrey Borzenkov <arvidjaar@mandriva.org> 2.3-29mdv2009.0
+ Revision: 284466
- updated anacron hook to correctly work with new pm-utils

* Sat Sep 13 2008 Andrey Borzenkov <arvidjaar@mandriva.org> 2.3-28mdv2009.0
+ Revision: 284442
- new pm-utils has hooks in /usr/lib (#43814)

* Thu Aug 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.3-27mdv2009.0
+ Revision: 276945
- Remove patch1 (merged in new patch1)
- Patch1: various fixes from Debian
- Patch2 (Fedora): fix content type for sent mail
- Patch3 (Fedora): fix the way mail is given to sendmail
- Patch4 (Fedora): fix memleaks
- Patch5 (Fedora): fix spooldir in log file
- Use Fedora cron file to start anacron tasks
- Update anacrontab to start jobs after one hour of uptime (prevent slowing system at startup)

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3-26mdv2009.0
+ Revision: 220348
- rebuild

* Thu Jan 24 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3-25mdv2008.1
+ Revision: 157348
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild with fixed %%serverbuild macro

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3-23mdv2008.1
+ Revision: 148447
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 17 2007 Adam Williamson <awilliamson@mandriva.com> 2.3-22mdv2008.0
+ Revision: 64670
- provides cron-daemon

* Fri Aug 10 2007 Olivier Blin <oblin@mandriva.com> 2.3-21mdv2008.0
+ Revision: 61313
- start anacron after haldaemon (and not after apmd, since on_ac_power is now in pm-utils and uses hal, #16843)
- do not mark initscript as config file


* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 2.3-20mdv2007.1
+ Revision: 148202
- make pm-utils hook executable

* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 2.3-19mdv2007.1
+ Revision: 146721
- add pm-utils hook to restart anacron (#29369)

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 2.3-18mdv2007.1
+ Revision: 114520
- Import anacron

* Sun Jan 28 2007 Gtz Waschk <waschk@mandriva.org> 2.3-18mdv2007.1
- rebuild

* Tue May 16 2006 Pablo Saratxaga <pablo@mandriva.com> 2.3-18mdk
- changed init script to use generic (translator-friendly) strings

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 2.3-17mdk
- convert parallel init to LSB

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 2.3-16mdk
- parallel init support

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3-15mdk
- fix rpmlint errors (PreReq)

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3-14mdk
- fix rpmlint errors (PreReq) 
- s/Mandrakelinux/Mandriva Linux/
- mkrel

* Tue Jun 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.3-13mdk
- fix gcc-3.4 build (P1)
- fix the forbidden word;p
- drop redundant dependencies
- cosmetics

